Class | OrderedSet
In: | lib/ramaze/snippets/ordered_set.rb
Parent: | BlankSlate

Basically an Set, but with Order, ain‘t that obivous?

### Methods

[] []= method_missing new

### Public Class methods

[](*args)
new(*args)

Create new instances, optionally pass the first set

### Public Instance methods

[]=(*args)
method_missing(meth, *args, &block)

Delegate everything, but controlled, keep elements unique. Warning, this is not really atomic.

[Validate]